import QtQuick 2.9
import QtQuick.Controls 2.2

Row {
    id: bayanButtonRow

    spacing: 8 // determines spacing between rows

    property alias rowText: rowText.text
    property alias model: repeater.model

    signal buttonClicked(int pitch)

    Rectangle {
        anchors.verticalCenter: parent.verticalCenter
        width:  10
        height: 20

        color: "lightgrey"

        Text {
            id: rowText
            anchors.horizontalCenter: parent.horizontalCenter
            font.pixelSize: 15
            fontSizeMode: Text.Fit
            text: ""
            
        }
    }

    // Just a spacer item between the row label and row buttons
    Item {
        width: 10
        height: 10
    }

    Repeater {
        id: repeater

        delegate: BayanButton {
            color: model.color
            border.color: Qt.darker(color)
            text: model.text
            onClicked: bayanButtonRow.buttonClicked(model.pitch)
        }
    }
}
